summaryrefslogtreecommitdiff
path: root/contrib/cut-release
diff options
context:
space:
mode:
authorMorgan Deters <mdeters@gmail.com>2012-10-06 18:53:27 +0000
committerMorgan Deters <mdeters@gmail.com>2012-10-06 18:53:27 +0000
commit4e883ffc0b88256a966183ac6b87bb5767154cdf (patch)
treea193f12035e4417834ef08312f50739ae0b39a87 /contrib/cut-release
parent99cad5495be99efae434177d1537d4cfac35581c (diff)
* Clean up some options documentation
* Remove defunct --no-theory-registration option * Point people to Wiki tutorial * Modernize the cut-release script * Misc cleanup, documentation (this commit was certified error- and warning-free by the test-and-commit script.)
Diffstat (limited to 'contrib/cut-release')
-rwxr-xr-xcontrib/cut-release41
1 files changed, 38 insertions, 3 deletions
diff --git a/contrib/cut-release b/contrib/cut-release
index ec5ee9c87..97bc31bb1 100755
--- a/contrib/cut-release
+++ b/contrib/cut-release
@@ -4,7 +4,11 @@
#
function isthatright {
- echo -n "Does that look right? [y/n] "
+ if [ -z "$1" ]; then
+ echo -n "Does that look right? [y/n] "
+ else
+ echo -n "$1? [y/n] "
+ fi
while read yn; do
if [ "$yn" = y -o "$yn" = Y -o "$yn" = yes -o "$yn" = YES -o "$yn" = Yes ]; then
break
@@ -111,6 +115,20 @@ if [ -n "$suspect_files" ]; then
$dryrun || exit 1
fi
+echo "Checking NEWS file for recent updates..."
+if [ -n "$(svn status -q NEWS)" ]; then
+ echo "+ It's locally modified."
+else
+ echo -n "+ "
+ svn info NEWS | grep '^Last Changed Date: '
+ echo
+ echo "You should probably make sure to put some notes in the NEWS file"
+ echo "for this release, indicating the most important changes from the"
+ echo "last release."
+ echo
+ isthatright "Continue without updating NEWS"
+fi
+
echo "Adjusting version info lines in configure.ac..."
if ! grep '^m4_define(_CVC4_MAJOR, *[0-9][0-9]* *)' configure.ac &>/dev/null ||
! grep '^m4_define(_CVC4_MINOR, *[0-9][0-9]* *)' configure.ac &>/dev/null ||
@@ -152,11 +170,11 @@ if ! $SHELL -c '\
./autogen.sh || echo "autoconf failed; does library_versions have something to match $version?"; \
mkdir "release-$version"; \
cd "release-$version"; \
- ../configure production-cln-staticbinary --disable-shared --enable-unit-testing --with-gmp --without-cudd --with-readline --with-portfolio; \
+ ../configure production-cln-staticbinary --disable-shared --enable-unit-testing --without-cudd --with-readline --with-portfolio; \
make dist "$@"; \
tar xf "cvc4-$version.tar.gz"; \
cd "cvc4-$version"; \
- ./configure production-cln-staticbinary --disable-shared --enable-unit-testing --with-gmp --without-cudd --with-readline --with-portfolio; \
+ ./configure production-cln-staticbinary --disable-shared --enable-unit-testing --without-cudd --with-readline --with-portfolio; \
make check "$@"; \
make distcheck "$@"; \
'; then
@@ -211,5 +229,22 @@ echo "About to run: svn copy -m \"Cutting release $version.\" \"$root\" \"https:
isthatright
$dryrun || svn copy -m "Cutting release $version." "$root" "https://subversive.cims.nyu.edu/cvc4/cvc4/tags/releases/$version"
+echo
+if [ "$(svn info | grep '^URL: https://subversive.cims.nyu.edu/cvc4/cvc4/trunk$')" ]; then
+ if [ "$release" = 0 ]; then
+ echo "About to run: svn copy -m \"Branching release $version for bugfixes.\" \"https://subversive.cims.nyu.edu/cvc4/cvc4/tags/releases/$version\" \"https://subversive.cims.nyu.edu/cvc4/cvc4/branches/releases/$version.x\""
+ isthatright
+ $dryrun || svn copy -m "Branching release $version for bugfixes." "https://subversive.cims.nyu.edu/cvc4/cvc4/tags/releases/$version" "https://subversive.cims.nyu.edu/cvc4/cvc4/branches/releases/$version.x"
+ else
+ echo "Not branching, because this is a minor release (i.e., not a \"dot-oh\""
+ echo "release), so I'm guessing you have a devel repository outside of trunk"
+ echo "somewhere? You can still make a branch manually, of course."
+ fi
+else
+ echo "Not branching, because it appears there already is a branch"
+ echo "to work with for version $version ..? (You're not on trunk.)"
+ echo "You can still make a branch manually, of course."
+fi
+
trap '' EXIT
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback